org.apache.xmlbeans

## Interface XmlNCName

- All Superinterfaces:
    XmlAnySimpleType, XmlName, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource
  All Known Subinterfaces:
    SpaceAttribute.Space, XmlENTITY, XmlID, XmlIDREF
  All Known Implementing Classes:
    SpaceAttributeImpl.SpaceImpl, XmlEntityImpl, XmlIdImpl, XmlIdRefImpl, XmlNCNameImpl

      public interface XmlNCName
      extends XmlName

  Corresponds to the XML Schema xs:Name type. One of the derived types based on xs:string.

  This kind of string is the same as the non-colonized strings that are used for XML localnames and prefixes, "my-href.2". It is just a physical string, however, and it should NOT be confused with `XmlQName`, which is a logical combination of localname and namespace URI.

  Convertible to `String`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlNCName>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlNCName> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.